### Method

# Gdk Toplevel begin_move

#### Declaration [src]

    void
    gdk_toplevel_begin_move (
      GdkToplevel* toplevel,
      GdkDevice* device,
      int button,
      double x,
      double y,
      guint32 timestamp
    )

#### Description [src]

Begins an interactive move operation.

You might use this function to implement draggable titlebars.

#### Parameters

`device` | `GdkDevice`
| The device used for the operation.
| The data is owned by the caller of the function.
`button` | `int`
| The button being used to drag, or 0 for a keyboard-initiated drag.
`x` | `double`
| Surface X coordinate of mouse click that began the drag.
`y` | `double`
| Surface Y coordinate of mouse click that began the drag.
`timestamp` | `guint32`
| Timestamp of mouse click that began the drag (use gdk_event_get_time()).